Skip to main content
POST
Error

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

alias
string<string>
required

The app's namespace or its UUID

Body

application/json

Skill creation request

Body for POST /v1/apps/{alias}/skills.

skill
object
required

The skill to create. Owner (ownerType/ownerId) is derived from the URL alias.

tools
object[]

Optional tools to attach to the new skill

Response

Created

A skill returned by the skills endpoints.

instructions
string

System prompt steering the skill's behavior

app
object
status
enum<string>

Lifecycle status of the skill

Available options:
ACTIVE,
INACTIVE,
DRAFT
tools
object

Connection of tools attached to the skill

id
string<uuid>

The skill ID

properties
object

Type-specific skill configuration

name
string

The skill's display name

type
enum<string>

Skill kind

Available options:
INTERNAL,
CUSTOM
description
string

Short summary of what the skill does